// C Header File
// Created 10/09/02; 19:27:34

// TI Flash Studio macros, constants and structures definitions (from tiams.h)

#define MO_OPT_DESKTOP 19
enum DesktopOnOff_Ids { D_DESKTOP_OFF=1,  D_DESKTOP_ON};

#define OO_HANDLE (0xFF000000u)
#define OO_SYSTEM_FRAME OO_HANDLE
#define OO_APP_FLAGS (1)
#define OO_APP_NAME (2)
#define OO_APP_ICON (15)
#define MAX_SYM_LEN 8*2+3
#define XR_DEF_CATG_1_NAME (1758ul) // = the first folder "All" (it will work
																		// with any language)
#define XR_Current (184u) 
#define XR_Open (652u)
#define XR_New (618u)

typedef enum {OO_RW=0,  OO_RO=1,
              OO_SEQ=0, OO_KEYED=2} OO_Flags;

typedef struct SFrameHdr
{
   pFrame parent;
   pFrame prototype;
   OO_Flags flags;
   ULONG first;
   ULONG count;
} OO_Hdr;

typedef struct
{
   ULONG key;
   void *value;
} OO_Attr;

#define FRAME(name, parent, proto, first, count) \
const OO_Hdr name =   \
{                     \
   (pFrame)parent,    \
   (pFrame)proto,     \
   OO_RO | OO_KEYED,  \
   first,             \
   count              \
};                    \
static const OO_Attr name##Attr[count] = \
{
#define ATTR(selector, val) {selector, (void *)(val)},
#define ENDFRAME };

typedef HANDLE AppID;

typedef struct SACB
{
   USHORT flags;
   AppID myID;
   AppID next;
   AppID prev;
   ULONG publicstorage;
   void const *appHeader;
   BYTE const *certhdr;
   pFrame appData;
} ACB;

typedef enum
{
   ACB_BUILTIN   =0x0001,
   ACB_INSTALLED =0x0002,
   ACB_LOCALIZER =0x0004,
   ACB_LOCK      =0x0008,
   ACB_JT_VERSION=0x0010,
   ACB_SELECTED  =0x0020,
   ACB_COLLAPSE  =0x0800,
   ACB_BG        =0x1000,
   ACB_COMPRESS  =0x4000,
   ACB_DELETE    =0x8000
} ACB_Flags;

typedef enum {APP_NONE=0,
              APP_INTERACTIVE=1,
              APP_CON=2,
              APP_ACCESS_SYSVARS=4,
              APP_BACKGROUND=8}
        APP_Flags;
